import * as yup from 'yup'

export const vehicleModelSchema = yup.object().shape({
  brandName: yup.string().required('La marque est requise'),
  modelName: yup.string().required('Le modèle est requis'),
  generalMaintenanceDate: yup.date().required('La date d\'entretien générales est requise'),
  vehicleType: yup.string().required('Le type de véhicule est requis'),
  observation: yup.string().nullable()
})